require 'spec_helper'

describe DumpTruck::Configuration do
  describe '.new' do
    context "when a configuration block is passed" do
      let(:config) do
        DumpTruck::Configuration.new do
          database(:mysql){}
          database(:postgres){}
        end
      end
      subject{config}

      its(:databases) do
        should eq([
          DumpTruck::DatabaseConfiguration.new(:mysql),
          DumpTruck::DatabaseConfiguration.new(:postgres)
        ])
      end
    end
  end
end
