require 'spec_helper'

describe DumpTruck::DatabaseConfiguration do
  describe '.new' do
    context "when a configuration block is passed" do
      let(:config) do
        DumpTruck::DatabaseConfiguration.new(:mysql) do
          hostname 'localhost'
          user 'root'
          password 'secret'

          schema('app_production'){}
          schema('app_staging'){}
        end
      end
      subject{config}

      its(:hostname){should eq('localhost')}
      its(:user){should eq('root')}
      its(:password){should eq('secret')}
      its(:schemas) do
        should eq([
          DumpTruck::SchemaConfiguration.new('app_production'),
          DumpTruck::SchemaConfiguration.new('app_staging')
        ])
      end
    end
  end
end
