require 'spec_helper'

describe DumpTruck do
  it 'should have a version number' do
    expect(DumpTruck::VERSION).not_to be nil
  end

  describe '.new' do
    context "when given the config for a database" do
      let(:truck_config) do
        DumpTruck.new do
          database(:mysql){}
        end.config
      end
      subject{truck_config}

      its(:databases) do
        should eq([DumpTruck::DatabaseConfiguration.new(:mysql)])
      end
    end
  end

  describe '#dump' do
    let(:truck) do
      DumpTruck.new do
        database(:mysql) do
          user 'root'
          hostname 'localhost'

          schema(:app_production) do
            target_path(File.expand_path('../../tmp', __FILE__))

            table(:roles){keep}
          end
        end
      end
    end
  end
end
