/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(255) CHARACTER SET utf8 NOT NULL,
  `email` varchar(255) CHARACTER SET utf8 NOT NULL,
  `encrypted_password` varchar(128) NOT NULL DEFAULT '',
  `password_salt` varchar(128) NOT NULL DEFAULT '',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `remember_token` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `remember_token_expires_at` datetime DEFAULT NULL,
  `confirmed_agreement` tinyint(1) NOT NULL DEFAULT '0',
  `first_name` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `middle_name` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `last_name` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `role` int(11) DEFAULT '0',
  `status` int(11) DEFAULT '0',
  `pw_reset_code` varchar(40) CHARACTER SET utf8 DEFAULT NULL,
  `activated` tinyint(1) DEFAULT '0',
  `activation_key` varchar(40) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `confirmed_referral_terms` tinyint(1) DEFAULT '0',
  `confirmed_referral_terms_at` datetime DEFAULT NULL,
  `current_facility_id` int(11) DEFAULT NULL,
  `selected_drive_id` int(11) DEFAULT NULL,
  `triggers_qc` tinyint(1) NOT NULL DEFAULT '0',
  `persistence_token` varchar(255) DEFAULT NULL,
  `single_access_token` varchar(255) DEFAULT NULL,
  `requires_ldap_authentication` tinyint(1) DEFAULT '0',
  `sign_in_count` int(11) DEFAULT '0',
  `current_sign_in_at` datetime DEFAULT NULL,
  `last_sign_in_at` datetime DEFAULT NULL,
  `current_sign_in_ip` varchar(255) DEFAULT NULL,
  `last_sign_in_ip` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_users_on_email` (`email`),
  UNIQUE KEY `index_users_on_single_access_token` (`single_access_token`),
  UNIQUE KEY `index_users_on_pw_reset_code` (`pw_reset_code`),
  KEY `index_users_on_activation_key` (`activation_key`),
  KEY `index_users_on_activated` (`activated`),
  KEY `index_users_on_last_name` (`last_name`)
) ENGINE=InnoDB AUTO_INCREMENT=919492 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` (`id`, `login`, `email`, `encrypted_password`, `password_salt`, `created_at`, `updated_at`, `remember_token`, `remember_token_expires_at`, `confirmed_agreement`, `first_name`, `middle_name`, `last_name`, `role`, `status`, `pw_reset_code`, `activated`, `activation_key`, `telephone`, `confirmed_referral_terms`, `confirmed_referral_terms_at`, `current_facility_id`, `selected_drive_id`, `triggers_qc`, `persistence_token`, `single_access_token`, `requires_ldap_authentication`, `sign_in_count`, `current_sign_in_at`, `last_sign_in_at`, `current_sign_in_ip`, `last_sign_in_ip`) VALUES (1,'jimmy@example.com','jimmy@example.com','937777777777e4077eacdd785afb55c5aac35d0e','937777777777e4077eacdd785afb55c5aac35d0e','2007-01-12 07:49:00','2009-05-20 18:43:04',NULL,NULL,0,'James','P','McElhiney',4,0,NULL,1,'937777777777e4077eacdd785afb55c5aac35d0e',NULL,1,'2009-02-16 20:03:34',1,NULL,0,NULL,NULL,0,0,NULL,NULL,NULL,NULL),(9,'shari@secondrotation.com','shari@secondrotation.com','937777777777e4077eacdd785afb55c5aac35d0e','937777777777e4077eacdd785afb55c5aac35d0e','2007-01-20 20:19:21','2008-07-28 00:38:27',NULL,NULL,0,'Jimmy','','Shivers',4,0,'937777777777e4077eacdd785afb55c5aac35d0e',1,'937777777777e4077eacdd785afb55c5aac35d0e',NULL,0,'2008-07-28 00:33:35',NULL,NULL,0,NULL,NULL,0,0,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

